Last modified: 2014-03-04 13:32:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 50890 - Various links to special pages are not constructed correctly
Various links to special pages are not constructed correctly
Status: VERIFIED FIXED
Product: MediaWiki extensions
Classification: Unclassified
WikidataRepo (Other open bugs)
unspecified
All All
: Normal minor (vote)
: ---
Assigned To: Wikidata bugs
: need-volunteer
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-07-07 16:29 UTC by Liangent
Modified: 2014-03-04 13:32 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Liangent 2013-07-07 16:29:02 UTC
I noticed various calls like

$specialPage->getTitle()->getLocalURL() . '/' . $subpage

in Wikibase codebase which should be written as

$specialPage->getTitle( $subpage )->getLocalURL()
Comment 1 Gerrit Notification Bot 2014-02-21 13:09:05 UTC
Change 114741 had a related patch set uploaded by Tobias Gritschacher:
Correct usage of getLocalURL

https://gerrit.wikimedia.org/r/114741
Comment 2 Gerrit Notification Bot 2014-02-21 14:30:21 UTC
Change 114741 merged by jenkins-bot:
Correct usage of getLocalURL

https://gerrit.wikimedia.org/r/114741
Comment 3 Gerrit Notification Bot 2014-02-21 15:51:09 UTC
Change 114751 had a related patch set uploaded by Tobias Gritschacher:
Correctly construct edit-links to SpecialPages in EntityView

https://gerrit.wikimedia.org/r/114751
Comment 4 Gerrit Notification Bot 2014-02-24 11:03:59 UTC
Change 114751 merged by jenkins-bot:
Correctly construct edit-links to SpecialPages in EntityView

https://gerrit.wikimedia.org/r/114751

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links